# Delete Webhook Endpoint

## /v1/webhook\_endpoints/:id

<mark style="color:red;">`DELETE`</mark> `https://api.uiza.sh/v1/webhook_endpoints/:id`

#### Path Parameters

| Name | Type   | Description                                           |
| ---- | ------ | ----------------------------------------------------- |
| id   | string | The identifier of the webhook endpoint to be deleted. |

{% tabs %}
{% tab title="200 " %}

```
{}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
 "message": "The webhook endpoint you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X DELETE https://api.uiza.sh/v1/webhooks/22098800-d7e7-4d21-83dd-c79efea79b20
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64x' 
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/api-reference/webhook_endpoints/delete-webhook-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
